Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Hello,

I am interested in getting offline documentation of Redmine API and Redmine Features.

For instance, can we get any export of the official wiki of redmine ?

Thank you

History

#1 - 2015-07-04 17:05 - ashwini kumar

no updates... please share the documetation

#2 - 2015-07-13 22:58 - Jan Niggemann (redmine.org team member)

- Status changed from New to Closed

- Resolution set to Wont fix

For instance, can we get any export of the official wiki of redmine ?

 Our wiki is full of documentation, each wiki page can already exported, but why would you want to export it as a whole?

Documentation changes every day and so does our wiki. This means that the day after your export, some of the information is no longer current. Plus,

our wiki has lots of distro-specific information, which you most probably don't need as a whole.

You can also read one of the books available in your favourite bookstore.

#3 - 2015-07-14 03:59 - Go MAEDA

- File wiki-export-is-not-available.png added

- Status changed from Closed to Reopened

- Resolution deleted (Wont fix)

Jan Niggemann (redmine.org team member) wrote:

For instance, can we get any export of the official wiki of redmine ?

 Our wiki is full of documentation, each wiki page can already exported, but why would you want to export it as a whole?

 Wiki export is not available on www.redmine.org. Probably we don't have "Export wiki pages" permission and only admin users can export wiki pages.

Please enable "Export wiki pages" permission for all roles.
wiki-export-is-not-available.png 

#4 - 2015-07-15 11:44 - Maximem Poteaux

Hi,

Thanks for your answers.

It's not a problem for me that documentations change every day as you told us. I will update every week/month/year.
My problem is that users and/or developers onto Redmine 1.x, 2.x and 3.x have to use Redmine/RedmineApi without any internet access. So

sometimes they have (a lot of) questions about Redmine/RedmineApi and it costs me too much time to understand theirs ideas and to get answers

from redmine.org.

If I got the documentation from you, I would be able to make my users/dev independants : everyone saves time!

Thank you

#5 - 2015-07-30 10:06 - Toshi MARUYAMA

Go MAEDA wrote:

Please enable "Export wiki pages" permission for all roles.

 Does anyone have objections?

#6 - 2015-07-30 10:38 - Jan from Planio www.plan.io

Toshi MARUYAMA wrote:

Does anyone have objections?

 I don't think it'd be a problem. Maybe Jean-Philippe didn't activate it to avoid a possible denial of service vector since PDF generation requires quite

some server resources. I think activating it for logged in users should be fine though?

#7 - 2015-08-29 05:39 - Toshi MARUYAMA

- Status changed from Reopened to Closed

I have added "Export wiki pages" permission to logged in users.
